{
  "schema_version": "1.4.0",
  "id": "GHSA-69p6-gr8g-6vhp",
  "modified": "2022-05-02T03:29:58Z",
  "published": "2022-05-02T03:29:58Z",
  "aliases": [
    "CVE-2009-1932"
  ],
  "details": "Multiple integer overflows in the (1) user_info_callback, (2) user_endrow_callback, and (3) gst_pngdec_task functions (ext/libpng/gstpngdec.c) in GStreamer Good Plug-ins (aka gst-plugins-good or gstreamer-plugins-good) 0.10.15 allow remote attackers to cause a denial of service and possibly execute arbitrary code via a crafted PNG file, which triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1932"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10798"
    },
    {
      "type": "WEB",
      "url": "http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=d9544bcc44adcef769cbdf7f6453e140058a3adc"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/54827"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35205"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35583"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35777"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35897"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200907-11.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1839"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:130"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-1123.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35172"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1506"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-06-04T20:30:00Z"
  }
}